﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HotelDataModels.Enums;
using HotelDataModels.Models;

namespace HotelContracts.BindingModels
{
	public class BookingBindingModel : IBookingModel
	{
		public int Id { get; set; }
		public int RoomId {  get; set; }

		public int ClientId { get; set; }

		public DateTime ArrivalDate { get; set; } = DateTime.Now;

		public DateTime DepartureDate { get; set; } = DateTime.Now;

        public double NumberHoursSpent { get; set; }

		public AcceptanceStatus Status { get; set; } = AcceptanceStatus.Неизвестен;

		public double TotalCost { get; set; }
	}
}
