﻿using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.BusinessLogicsContracts
{
	public interface IWorkerLogic
	{
        List<WorkerViewModel>? ReadList(WorkerSearchModel? model);
        WorkerViewModel? ReadElement(WorkerSearchModel model);

        bool Create(WorkerBindingModel model);
        bool Update(WorkerBindingModel model);
        bool Delete(WorkerBindingModel model);
    }
}
