﻿using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.StoragesContracts
{
	public interface IBookingStorage
	{
        List<BookingViewModel> GetFullList();
        List<BookingViewModel> GetFilteredList(BookingSearchModel model);

        BookingViewModel? GetElement(BookingSearchModel model);
        BookingViewModel? Insert(BookingBindingModel model);
        BookingViewModel? Update(BookingBindingModel model);
        BookingViewModel? Delete(BookingBindingModel model);
    }
}
