﻿using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.StoragesContracts
{
	public interface IPostStorage
	{
        List<PostViewModel> GetFullList();
        List<PostViewModel> GetFilteredList(PostSearchModel model);

        PostViewModel? GetElement(PostSearchModel model);
        PostViewModel? Insert(PostBindingModel model);
        PostViewModel? Update(PostBindingModel model);
        PostViewModel? Delete(PostBindingModel model);
    }
}
