﻿using HotelDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.ViewModels
{
	public class ClientViewModel : IClientModel
    {
        public int Id { get; set; }
        [DisplayName("Имя")]
        public string Name { get; set; } = string.Empty;
        [DisplayName("Фамилия")]
        public string Surname { get; set; } = string.Empty;
        [DisplayName("Дата рождения")]
        public DateTime DateOfBirth { get; set; } = DateTime.Now;
        [DisplayName("Номер телефона")]
        public string PhoneNumber { get; set; } = string.Empty;

    }
}
