﻿using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.BusinessLogicsContracts
{
	public interface IRoomLogic
	{
        List<RoomViewModel>? ReadList(RoomSearchModel? model);
        RoomViewModel? ReadElement(RoomSearchModel model);
        bool ProvercaMade(RoomBindingModel model);
        bool Create(RoomBindingModel model);
        bool Update(RoomBindingModel model);
        bool Delete(RoomBindingModel model);
    }
}
