﻿using HotelDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.ViewModels
{
	public class RoomViewModel : IRoomModel
    {
        public int Id { get; set; }

        public int WorkerId { get; set; }
        [DisplayName("Номер комнаты")]
        public int Number { get; set; }
        [DisplayName("Этаж")]
        public int Floor { get; set; }
        [DisplayName("Количество спальных мест")]
        public int NumberOfBeds { get; set; }
        [DisplayName("Состояние")]
        public string Condition { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public int Cost { get; set; }
        [DisplayName("Работник")]
        public string WorkerFIO { get; set; } = string.Empty;
    }
}
